@import '../../../../assets/css/vars.scss';

/* ---------------------- HOME ---------------------- */

.home{

  main{

    padding: 0 20% 0 15%;
    counter-reset: parts;

    section{

      >h2{

        width: 100%;
        margin: 0 0 1.5rem 0;
        padding: 1rem 0 0 0;
        text-transform: uppercase;
      }

    }

    h2::before{

      counter-increment: parts;
      content: counter(parts, upper-roman) ". ";
      display: inline-block;
      margin: 0 1.5rem 0 0;
    }

    >section{

      margin: 0 0 4.5rem 0;

    }

    #index{

      display: flex;
      flex-wrap: wrap;

      .font-preview{

        width: 25%;

        h3{

          margin: 0 0 1.5rem 0;
        }

        ul{

          font-size: 1.5rem;
          line-height: 2rem;
          color: #000000;

        }

      }
    }

    >#fonts{

      .font.hidden{

        display: none;
      }

      .font{

        z-index: 1;
        margin: 0 0 6rem 0;

        header{

          width: 100%;
          margin: 0 0 1.5rem 0;
          display: flex;
          flex-wrap: wrap;

          h3{

            font-size: 1.5rem;
            line-height: 2rem;
            width: 25%;
            color: #000;

            form{

              display: inline;

              input{

                display: inline-block;
                background-color: white;
                font-size: 1.5rem;
                transform: rotate(90deg);

              }

              input:hover{

                color: $titleColor;
                cursor: pointer;
              }
            }
          }

          ul{

            width:75%;
            padding: 0.5rem 0 0 0;
            display: flex;
            flex-wrap: wrap;

            li{

              width: calc(100% / 3);
            }

            .styles{

              span{

                display: block;
              }

              .title{

                color:$titleColor;

              }
            }
          }
        }

        .infos{

          width: 100%;
          margin: 0 0 1.5rem 0;
          display: flex;
          flex-wrap: wrap;

          .name{

            margin: 0 0 3rem 0;

          }

          .designer{

            margin: 0 0 3rem 0;
          }

          li{

            width: 25%;

            .title, .value{

              display: block;

            }

            .title{

              color: $titleColor;
            }

            .value{


            }

          }

        }

        .moreFonts{

          display: none;
        }

        .moreFonts.open{

          display: block;
        }

        .showMoreFonts{

          display: inline-block;
          text-transform: uppercase;

          .sign{

            display: inline-block;
            margin: 0 1.5rem 0 0;
            padding: 0 0.25rem 0 0.25rem;
            line-height: 1.25rem;
            border-radius: 5rem;
            border: solid 1px;

          }

        }

        .showMoreFonts:hover{

          color: $titleColor;
          cursor: pointer;
        }



        .moreFonts,
        .regular{

          width: 100%;

          h4{

            color: $titleColor;
            margin: 0 0 0.5rem 0;
          }

          >input{

            width: 100%;
            border: 0;
            white-space: nowrap;
            font-family: inherit;
            font-size: 100px;
            margin: 0 0 0.5rem 0;
          }

        }
        
      }

    }

    #about{

      #credits{

        margin: 1.5rem 0 0 0;

        h3{

          margin: 0 0 1.5rem 0;

        }

        p{

          margin: 0 0 1.5rem 0;
        }

        ul{

          .title{

            color: $titleColor;
          }

        }

      }
    }

  }

}